ranger
Device proxies

The ranger proxy provides an interface to ranger sensor devices. More...

## Classes

struct | playerc_ranger_t
| Ranger proxy data. More...

## Functions

PLAYERC_EXPORT playerc_ranger_t * | playerc_ranger_create (playerc_client_t *client, int index)
| Create a ranger proxy. More...
PLAYERC_EXPORT void | playerc_ranger_destroy (playerc_ranger_t *device)
| Destroy a ranger proxy. More...
PLAYERC_EXPORT int | playerc_ranger_subscribe (playerc_ranger_t *device, int access)
| Subscribe to the ranger device. More...
PLAYERC_EXPORT int | playerc_ranger_unsubscribe (playerc_ranger_t *device)
| Un-subscribe from the ranger device. More...
PLAYERC_EXPORT int | playerc_ranger_get_geom (playerc_ranger_t *device)
| Get the ranger geometry. More...
PLAYERC_EXPORT int | playerc_ranger_power_config (playerc_ranger_t *device, uint8_t value)
| Turn device power on or off. More...
PLAYERC_EXPORT int | playerc_ranger_intns_config (playerc_ranger_t *device, uint8_t value)
| Turn intensity data on or off. More...
PLAYERC_EXPORT int | playerc_ranger_set_config (playerc_ranger_t *device, double min_angle, double max_angle, double angular_res, double min_range, double max_range, double range_res, double frequency)
| Set the ranger device's configuration. More...
PLAYERC_EXPORT int | playerc_ranger_get_config (playerc_ranger_t *device, double *min_angle, double *max_angle, double *angular_res, double *min_range, double *max_range, double *range_res, double *frequency)
| Get the ranger device's configuration. More...

## Detailed Description

The ranger proxy provides an interface to ranger sensor devices.

## Function Documentation

PLAYERC_EXPORT playerc_ranger_t* playerc_ranger_create | ( | playerc_client_t * | client,
|  | int | index
| ) |  |

Create a ranger proxy.

PLAYERC_EXPORT void playerc_ranger_destroy | ( | playerc_ranger_t * | device | ) |

Destroy a ranger proxy.

PLAYERC_EXPORT int playerc_ranger_get_config | ( | playerc_ranger_t * | device,
|  | double * | min_angle,
|  | double * | max_angle,
|  | double * | angular_res,
|  | double * | min_range,
|  | double * | max_range,
|  | double * | range_res,
|  | double * | frequency
| ) |  |

Get the ranger device's configuration.

Not all values may be filled.

Parameters

  min_angle | Start angle of scans [rad].
  max_angle | End angle of scans [rad].
  resolution | Scan resolution [rad].
  max_range | Maximum range [m].
  range_res | Range resolution [m].
  frequency | Scanning frequency [Hz].

PLAYERC_EXPORT int playerc_ranger_get_geom | ( | playerc_ranger_t * | device | ) |

Get the ranger geometry.

This writes the result into the proxy rather than returning it to the caller.

PLAYERC_EXPORT int playerc_ranger_intns_config | ( | playerc_ranger_t * | device,
|  | uint8_t | value
| ) |  |

Turn intensity data on or off.

Parameters

  value | Set to TRUE to turn the data on, FALSE to turn the data off.

PLAYERC_EXPORT int playerc_ranger_power_config | ( | playerc_ranger_t * | device,
|  | uint8_t | value
| ) |  |

Turn device power on or off.

Parameters

  value | Set to TRUE to turn power on, FALSE to turn power off.

PLAYERC_EXPORT int playerc_ranger_set_config | ( | playerc_ranger_t * | device,
|  | double | min_angle,
|  | double | max_angle,
|  | double | angular_res,
|  | double | min_range,
|  | double | max_range,
|  | double | range_res,
|  | double | frequency
| ) |  |

Set the ranger device's configuration.

Not all values may be used.

Parameters

  min_angle | Start angle of scans [rad].
  max_angle | End angle of scans [rad].
  resolution | Scan resolution [rad].
  max_range | Maximum range [m].
  range_res | Range resolution [m].
  frequency | Scanning frequency [Hz].

PLAYERC_EXPORT int playerc_ranger_subscribe | ( | playerc_ranger_t * | device,
|  | int | access
| ) |  |

Subscribe to the ranger device.

PLAYERC_EXPORT int playerc_ranger_unsubscribe | ( | playerc_ranger_t * | device | ) |

Un-subscribe from the ranger device.

Last updated 12 September 2005 21:38:45